Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.intersection
Class IntersectionDescription

    java.lang.Object
      de.grogra.ray.intersection.IntersectionDescription

    public class IntersectionDescription

extends java.lang.Object

Field Summary
`int` | `intersectionIndex`

Constructor Summary
`IntersectionDescription()`
`IntersectionDescription(IntersectionDescription desc)`
`IntersectionDescription(Ray ray, float t)`
`IntersectionDescription(Ray ray, float t, Point3f point)`
`IntersectionDescription(Ray ray, int count)`

Method Summary
`int` | `getIntersectionCount()`
`Point3f` | `getLocalPoint()`
`Vector3f` | `getNormal()`
`Point3f` | `getPoint()`
`RTObject` | `getRTObject()`
`float` | `getT()`
`Vector3f` | `getTangenteU()`
`Vector3f` | `getTangenteV()`
`Point2f` | `getUVCoordinate()`
`void` | `setIntersectionCount(int value)`
`void` | `setLocalPoint(Point3f point)`
`void` | `setNormal(Vector3f normal)`
`void` | `setPoint(Point3f point, float t)`
`void` | `setRTObject(RTObject object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### intersectionIndex

    public int intersectionIndex

Constructor Detail

### IntersectionDescription

    public IntersectionDescription()

### IntersectionDescription

    public IntersectionDescription(IntersectionDescription desc)

### IntersectionDescription

    public IntersectionDescription(Ray ray,
                                   float t)

### IntersectionDescription

    public IntersectionDescription(Ray ray,
                                   float t,
                                   Point3f point)

### IntersectionDescription

    public IntersectionDescription(Ray ray,
                                   int count)

Method Detail

### getIntersectionCount

    public int getIntersectionCount()

### getLocalPoint

    public Point3f getLocalPoint()

### getNormal

    public Vector3f getNormal()

### getPoint

    public Point3f getPoint()

### getRTObject

    public RTObject getRTObject()

### getT

    public float getT()

### getTangenteU

    public Vector3f getTangenteU()

### getTangenteV

    public Vector3f getTangenteV()

### getUVCoordinate

    public Point2f getUVCoordinate()

### setIntersectionCount

    public void setIntersectionCount(int value)

### setLocalPoint

    public void setLocalPoint(Point3f point)

### setNormal

    public void setNormal(Vector3f normal)

### setPoint

    public void setPoint(Point3f point,
                         float t)

### setRTObject

    public void setRTObject(RTObject object)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD